All Versions
43
Latest Version
Avg Release Cycle
325 days
Latest Release
-

Changelog History
Page 4

  • v0.9.3 Changes

    ๐Ÿš€ released at 2014-11-18 03:50:11 UTC

    โฌ†๏ธ This version has been yanked from rubygems.org as it doesn't work with jRuby at all. Please upgrade to 0.9.4 or higher as soon as possible.

    Internal Changes

    • ๐Ÿ‘ Replaced the crazy C extension with a so much better one (thanks to @nobu!)
  • v0.9.2 Changes

    ๐Ÿš€ released at 2014-11-17 15:32:33 UTC

    ๐Ÿ› Bug Fixes

    • Fixed a bug where did_you_mean doesn't compile on Ruby 2.1.2/2.1.5 ( #16)
  • v0.9.1 Changes

    ๐Ÿš€ released at 2014-11-16 18:54:24 UTC

    โฌ†๏ธ This version has been yanked from rubygems.org as it doesn't compile on Ruby 2.1.2 and 2.1.5. Please upgrade to 0.9.4 or higher as soon as possible.

    Internal Changes

    • ๐Ÿ’Ž Shrink the gem size by removing unneeded ruby header files.
    • Now it forces everyone to upgrade the gem when they upgrade Ruby to a new version. This avoids introducing a bug like #14.
  • v0.9.0 Changes

    ๐Ÿš€ released at 2014-11-09 01:26:31 UTC

    ๐Ÿ”‹ Features

    • did_you_mean now suggests instance variable names if @ is missing ( #12, 39d1e2b)
    @full_name = "Yuki Nishijima"
    first_name, last_name = full_name.split(" ")
    
  • v0.8.0 Changes

    ๐Ÿš€ released at 2014-10-27 02:03:13 UTC

    โฌ†๏ธ This version has been yanked from rubygems.org as it has a serious bug with Ruby 2.1.3 and 2.1.4 installed on Max OS X. Please upgrade to 0.9.4 or higher as soon as possible.

    ๐Ÿ”‹ Features

    • ๐Ÿ’Ž JRuby support!

    ๐Ÿ› Bug Fixes

  • v0.7.0 Changes

    ๐Ÿš€ released at 2014-09-26 03:37:18 UTC

    โฌ†๏ธ This version has been yanked from rubygems.org as it has a serious bug with Ruby 2.1.3 and 2.1.4 installed on Max OS X. Please upgrade to 0.9.4 or higher as soon as possible.

    ๐Ÿ”‹ Features

    • โž• Added support for Ruby 2.1.3, 2.2.0-preview1 and ruby-head
    • โž• Added support for ActiveRecord 4.2.0.beta1
    • Word searching is now about 40% faster than v0.6.0
    • โœ‚ Removed text gem dependency
    • ๐Ÿ‘ Better output on pry and Rspec

    Internal Changes

    • ๐Ÿ”จ A lot of internal refactoring
  • v0.6.0 Changes

    ๐Ÿš€ released at 2014-05-18 00:23:24 UTC

    โฌ†๏ธ This version has been yanked from rubygems.org as it has a serious bug with Ruby 2.1.3 and 2.1.4 installed on Max OS X. Please upgrade to 0.9.4 or higher as soon as possible.

    ๐Ÿ”‹ Features

    • โž• Added basic support for constants. Now you'll see class name suggestions when you misspelled a class names/module names:
    > Ocject
    
  • v0.5.0 Changes

    ๐Ÿš€ released at 2014-05-10 17:59:54 UTC

    ๐Ÿ”‹ Features

    • โž• Added support for Ruby 2.1.2
  • v0.4.0 Changes

    ๐Ÿš€ released at 2014-04-20 02:10:31 UTC

    ๐Ÿ”‹ Features

    • did_you_mean now suggests a similar attribute name when you misspelled it.
    User.new(flrst_name: "wrong flrst name")
    
  • v0.3.1 Changes

    ๐Ÿš€ released at 2014-03-20 23:16:20 UTC

    ๐Ÿ”‹ Features

    • ๐Ÿ”„ Changed output for readability.
    • ๐Ÿ‘ Made the spell checking algorithm slight better to find the correct method.